/*
Java Hummer Project
File: HostList.java
Date: 11-23-98
Author: Jesse C. McConnell
Description: The HostList object holds a InetAddress and an ending range..

Adapted from MessageFilter.h from the Hummer Project.

 Copyright (C) 1997-1998 The Hummer Project - hummer@cs.uidaho.edu

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
package edu.uidaho.hummer.dataobject;

import java.net.InetAddress;
/**
The purpose of this object is to logically bind a starting and ending
InetAddress to an object that can be added on a Vector for MessageFilters.
<p>
There is also a boolean value called explicit which is set to true when there
is only a single InetAddress to be specified.  In cases like this, the
start_host_ip is the single InetAddress.

@author Jesse C. McConnell
*/
public class HostList extends Object {
  /**
  Unique InetAddress or the start of a range of InetAddresses.  If the
  boolean variable explicit is set to true, then this is a unique address.
  */
  public InetAddress start_host_ip;
  /**
  End of the range of InetAddress's started by the start_host_ip address.
  */
  public InetAddress end_host_ip;
  /**
  Boolean value representing true if this object is meant to represent a single
  InetAddress, or false otherwise.
  */
  public boolean explicit;
};
