/*
Java Hummer Project
File: PersonalConfigTest.java
Date: 2-17-99
Author: Chad Ward
Description:  Tests PersonalConfig class.

 Copyright (C) 1997-1998 The Hummer Project - hummer@cs.uidaho.edu
   
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
     
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

package edu.uidaho.hummer.test.dataobject;

import java.security.*;
import java.util.*;
import edu.uidaho.hummer.dataobject.*;
import edu.uidaho.hummer.util.*;
import edu.uidaho.hummer.test.Test;

public class PersonalConfigTest extends Test {


        /**
        Main method so that this test can be run from the command line
        */
  public static void main(String[] argv) throws Exception {
    Test test_object = new PersonalConfigTest();
    test_object.runClassTest(1);
  }

	/**
	Initializes the _test_class_name variable.
	Grabs the name of the test class using the Class.getName() method and then removing the last 4
	characters in the name ("Test")
	*/
  protected void setTestClassName() {
    _test_class_name = "PersonalConfig";
  }

  protected void testDefinition() throws Exception {

		/* ***********************
		Constructor testing
		*************************/
    newMethod("Constructor");
    boolean caught_exception = false;
    String test_class_name = "edu.uidaho.hummer.dataobject.PersonalConfig";
    runConstructorTest("Did not throw exception for non-null alias and password",
                       "Exception", false, "test_alias", "test_pass1".getBytes());
    runConstructorTest("Did not throw exception for non-null alias and null password",
                       "Exception", false, "test_alias", null);
    runConstructorTest("Threw exception for null alias and non-null password",
                       null, true, null, "test_pass1".getBytes()); 
    runConstructorTest("Threw exception for null alias and null password",
                       null, true, null, null);
  }
}
