/*
Java Hummer Project
File: DateTime.java
Date: 11-11-98
Author: Joel Marlow
Description:  This files contains the basic functions that convert
              between the two of our date and time formats.

Adapted from datetime.h and datetime.C from the Hummer Project.

 Copyright (C) 1997-1998 The HummingBird Project - hummer@lal.uidaho.edu

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

package edu.uidaho.hummer.util;

import java.lang.String;

/**
This class contains the basic functions that convert between the two of
our date and time formats.  Mostly used to decode the formating our tools
give us. This entire class will be deprecated when the required Strings are
changed to Date and Time objects within Java.

@deprecated Pretty well now useless since we are passing around Date objects
inside of our Message objects.  This class should not be used. Purely a 
carry-over from the C version of Hummer.
@author Joel Marlow
*/
public class DateTime {

/**
This function takes a date string of the form YYYYMMDD and formats it as
MM-DD-YYYY.
@param olddate A String of the form YYYYMMDD.
@return A String of the form MM-DD-YYYY.
*/
  public String makeDate(String olddate) {

    String newdate = new String();
    char d[] = olddate.toCharArray();

    // form date

    newdate= "" + d[4] + d[5] + "-" + d[6] + d[7] + "-" + d[0] + d[1] + d[2] + d[3];
    return newdate;
  }

/**
This function takes a time string of the form HHMMSS and formats it as
HH:MM:SS.
@param oldtime A String of the form HHMMSS.
@return A String of the form HH:MM:SS.
*/
  public String makeTime(String oldtime) {
    String newtime = new String();
    char t[] = oldtime.toCharArray();
    // form time
    newtime = "" + t[0] + t[1] + ":" + t[2] + t[3] + ":" + t[4] + t[5];
    return newtime;
  }

/**
This function takes a date string of the form MM-DD-YYYY and formats it
as YYYYMMDD.
@param olddate A String of the form MM-DD-YYYY.
@return A String of the form YYYYMMDD.
*/
  public String unMakeDate(String olddate) {

    String newdate = new String();
    char d[] = olddate.toCharArray();
    // form date
    newdate = "" + d[6] + d[7] + d[8] + d[9] + d[0] + d[1] + d[3] + d[4];

    return newdate;
  }

/**
This function takes a time string of the form HH:MM:SS and formats it as
HHMMSS.

@param oldtime A String of the form HH:MM:SS.
@return A String of the form HHMMSS.
*/
  public String unMakeTime(String oldtime) {

    String newtime = new String();
    char t[] = oldtime.toCharArray();
    // form time
    newtime = "" + t[0] + t[1] + t[3] + t[4] + t[6] + t[7];

    return newtime;
  }
}
